<template>

    <div :id="rowId" :class="rowClasses" :style="backgroundImageStyle">

    </div>

</template>

<script>
    export default {
        name: "BuildableIncludeScript",
        props: ['componentData', 'rowClasses', 'rowId', 'backgroundImageStyle'],
        data() {
            return JSON.parse(this.componentData);
        },
        mounted() {
            let includedScript = document.createElement('script');
            includedScript.setAttribute('src', this.properties['Link'].value);
            document.head.appendChild(includedScript);
        }
    }
</script>

<style scoped>

</style>